DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelQueueIsEmpty

Query queue

## SYNOPSIS

`#include "dip_pixelqueue.h"`

dip_Error dip_PixelQueueIsEmpty ( queue, result )

## FUNCTION

Checks to see if there are any items on the queue. See `PixelQueueNew` for information on the queue data structure.

## ARGUMENTS

Data type | Name | Description
`dip_PixelQueue` | `queue` | The queue structure
`dip_Boolean *` | `result` | Set to true if there are no items in the queue

## SEE ALSO

`PixelQueueNew`, `PixelHeapNew`, `StablePixelHeapNew`, `PixelQueueFree`, `PixelQueuePush`, `PixelQueuePop`

DIPlib on-line documentation | Function reference | Global function index